Bug 1577540 - [abrt] tb_ring_stop: WARNING: CPU: 2 PID: 69 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt] [thunderbolt]
Summary: [abrt] tb_ring_stop: WARNING: CPU: 2 PID: 69 at drivers/thunderbolt/nhi.c:106...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df69bda141f9de1803df44e6067...
: 1601297 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 21:40 UTC by Jason D. Clinton
Modified: 2019-05-28 23:41 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:41:13 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (100.44 KB, text/plain)
2018-05-12 21:41 UTC, Jason D. Clinton
no flags Details

Description Jason D. Clinton 2018-05-12 21:40:56 UTC
Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 2 PID: 69 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: ccm thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink fuse ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security cmac iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 btusb uvcvideo btrtl btbcm btintel videobuf2_vmalloc videobuf2_memops bluetooth videobuf2_v4l2 videobuf2_common videodev media ecdh_generic joydev ath10k_pci ath10k_core hid_rmi rmi_core iTCO_wdt
 iTCO_vendor_support intel_wmi_thunderbolt intel_rapl x86_pkg_temp_thermal snd_hda_codec_hdmi intel_powerclamp snd_soc_skl coretemp mac80211 snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp kvm_intel snd_soc_sst_ipc snd_soc_acpi snd_hda_codec_realtek snd_soc_core kvm snd_hda_codec_generic snd_compress ath snd_pcm_dmaengine ac97_bus cfg80211 snd_hda_intel snd_hda_codec irqbypass intel_cstate snd_hda_core intel_uncore intel_rapl_perf snd_hwdep rfkill snd_seq snd_seq_device snd_pcm snd_timer snd tpm_crb mei_me soundcore i2c_i801 mei idma64 shpchp intel_lpss_pci intel_lpss intel_pch_thermal wmi tpm_tis pinctrl_sunrisepoint tpm_tis_core pinctrl_intel acpi_pad tpm dm_crypt hid_multitouch i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme serio_raw nvme_core
 ghash_clmulni_intel i2c_hid video
CPU: 2 PID: 69 Comm: kworker/u8:1 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Razer Blade Stealth/Razer, BIOS 8.02 02/22/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0000:ffffaef541d5bbf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff8e8191d50d80 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8e81fed168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000421
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1016689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1016678
FS:  0000000000000000(0000) GS:ffff8e81fed00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f86a3613000 CR3: 00000001ac20a005 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x116/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.5+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 2c c2 58 c1 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 6f 01 c1 e8 8a 2a 0a c1 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 1 Jason D. Clinton 2018-05-12 21:41:10 UTC
Created attachment 1435527 [details]
File: dmesg

Comment 2 Jason D. Clinton 2018-05-24 20:40:58 UTC
Description of problem:
No devices of any kind were plugged in to the TB3 port. Triggered after normal boot.

Version-Release number of selected component:
kernel-core-4.16.8-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.8-300.fc28.x86_64 root=/dev/mapper/fedora_jclinton--laptop-root ro i915.enable_rc6=0 rd.lvm.lv=fedora_jclinton-laptop/root rd.luks.uuid=luks-48526e01-9784-4dd8-92a6-dd04f23b37f8 rd.lvm.lv=fedora_jclinton-laptop/swap rd.luks.options=discard rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.8-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 5 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: thunderbolt nvmem_core ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 uvcvideo btusb btrtl btbcm videobuf2_vmalloc btintel videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev media ecdh_generic joydev ath10k_pci ath10k_core snd_soc_skl snd_soc_skl_ipc
 snd_hda_ext_core hid_rmi iTCO_wdt rmi_core snd_hda_codec_hdmi iTCO_vendor_support mac80211 snd_soc_sst_dsp intel_rapl snd_soc_sst_ipc snd_soc_acpi x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_core intel_wmi_thunderbolt kvm_intel snd_hda_codec_realtek snd_hda_codec_generic kvm snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel snd_hda_codec irqbypass ath intel_cstate intel_uncore snd_hda_core intel_rapl_perf snd_hwdep snd_seq snd_seq_device cfg80211 snd_pcm snd_timer rfkill snd mei_me i2c_i801 soundcore tpm_crb mei idma64 intel_pch_thermal shpchp intel_lpss_pci intel_lpss wmi pinctrl_sunrisepoint tpm_tis pinctrl_intel acpi_pad tpm_tis_core tpm dm_crypt hid_multitouch i915 i2c_algo_bit drm_kms_helper nvme crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme_core ghash_clmulni_intel
 i2c_hid serio_raw video
CPU: 0 PID: 5 Comm: kworker/u8:0 Not tainted 4.16.8-300.fc28.x86_64 #1
Hardware name: Razer Blade Stealth/Razer, BIOS 8.02 02/22/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0000:ffffbdf8c18ffbf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff94ba18fcc0c0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff94ba7ec168f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000416
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc10f5689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc10f5678
FS:  0000000000000000(0000) GS:ffff94ba7ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fb9040bb2e8 CR3: 000000018720a005 CR4: 00000000003606f0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x116/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.5+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 bc 2c 4b d0 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 5f 0f c1 e8 1a 3b fc cf <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 3 Aditya Shah 2018-06-16 15:17:14 UTC
Description of problem:
I was updating the thunderbolt controller firmware using fwupdmgr

Version-Release number of selected component:
kernel-core-4.16.15-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.15-300.fc28.x86_64 root=UUID=2824dd17-e2dd-4bf2-8efd-54d9a34a1d4f ro resume=UUID=6919e38e-bda0-4af9-b49f-1f559d3b53ce rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.15-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2209 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: ccm fuse rfcomm thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables arc4 bnep sunrpc vfat fat snd_hda_codec_hdmi iTCO_wdt mei_wdt iTCO_vendor_support snd_soc_skl hid_multitouch dell_wmi wmi_bmof snd_soc_skl_ipc dell_laptop intel_wmi_thunderbolt snd_hda_ext_core dell_smbios snd_soc_sst_dsp
 snd_soc_sst_ipc snd_soc_acpi dell_wmi_descriptor snd_hda_codec_realtek dcdbas snd_hda_codec_generic snd_soc_core snd_compress intel_rapl snd_pcm_dmaengine ac97_bus x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm ath10k_pci ath10k_core irqbypass crct10dif_pclmul crc32_pclmul snd_hda_intel ghash_clmulni_intel intel_cstate snd_hda_codec intel_uncore mac80211 snd_hda_core intel_rapl_perf snd_hwdep snd_seq snd_seq_device snd_pcm btusb btrtl btbcm btintel ath snd_timer joydev bluetooth snd i2c_i801 cfg80211 tpm_crb uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common soundcore videodev ecdh_generic rtsx_pci_ms media rfkill idma64 mei_me memstick ucsi_acpi mei typec_ucsi intel_lpss_pci processor_thermal_device intel_pch_thermal intel_soc_dts_iosf intel_lpss
 typec wmi shpchp tpm_tis pinctrl_sunrisepoint intel_hid tpm_tis_core int3400_thermal int3403_thermal pinctrl_intel tpm sparse_keymap int340x_thermal_zone acpi_thermal_rel acpi_pad binfmt_misc i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core nvme drm nvme_core rtsx_pci i2c_hid serio_raw crc32c_intel video
CPU: 0 PID: 2209 Comm: kworker/u16:5 Not tainted 4.16.15-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0F6P3V, BIOS 1.4.0 05/25/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffaa020648fc58 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff96239ab71e40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9623ae416930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000651
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0f59689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0f59678
FS:  0000000000000000(0000) GS:ffff9623ae400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f3acf85b000 CR3: 000000001320a002 CR4: 00000000003606f0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_bus_device+0x2b/0xa0
 pci_stop_bus_device+0x3c/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 disable_slot+0x49/0x90
 acpiphp_check_bridge.part.5+0xba/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 3c f7 64 ee 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 9f f5 c0 e8 2a fc 15 ee <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 4 Nico 2018-07-16 01:37:07 UTC
*** Bug 1601297 has been marked as a duplicate of this bug. ***

Comment 5 thilp 2018-08-17 09:49:05 UTC
Description of problem:
First restart since upgrading to kernel 4.17.14-202.fc28.x86_64.
Hardware: Lenovo ThinkPad T470s.
I had to log in the Gnome session twice, because somehow the first attempt flashed and brought me back to the log in screen.

Version-Release number of selected component:
kernel-core-4.17.14-202.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.14-202.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-0e2d7ad0-f179-448f-b5fc-03c704f243d7 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.17.14-202.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 78 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: thunderbolt ccm fuse xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack br_netfilter devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables overlay bnep sunrpc arc4 mei_wdt iTCO_wdt iTCO_vendor_support wmi_bmof intel_rapl intel_wmi_thunderbolt x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_hdmi snd_soc_skl kvm_intel iwlmvm snd_soc_skl_ipc
 snd_hda_ext_core snd_soc_sst_dsp kvm snd_soc_sst_ipc snd_soc_acpi snd_soc_core snd_hda_codec_realtek mac80211 snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus snd_hda_intel irqbypass intel_cstate snd_usb_audio snd_hda_codec intel_uncore intel_rapl_perf iwlwifi snd_usbmidi_lib snd_hda_core snd_rawmidi snd_hwdep snd_seq uvcvideo snd_seq_device cfg80211 btusb videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btrtl btbcm snd_pcm btintel videobuf2_common bluetooth videodev joydev media snd_timer i2c_i801 ecdh_generic mei_me mei shpchp intel_pch_thermal ucsi_acpi typec_ucsi typec wmi thinkpad_acpi snd soundcore rfkill pcc_cpufreq acpi_pad dm_crypt i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm e1000e serio_raw uas nvme ghash_clmulni_intel nvme_core
 usb_storage video r8152 mii
CPU: 3 PID: 78 Comm: kworker/u8:1 Not tainted 4.17.14-202.fc28.x86_64 #1
Hardware name: LENOVO 20HGS30X06/20HGS30X06, BIOS N1WET38W (1.17 ) 09/01/2017
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffffba1743e43bf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9d6bc0f3fe40 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9d6bde596930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000458
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0ea57c9
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0ea57b8
FS:  0000000000000000(0000) GS:ffff9d6bde580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fac8760b620 CR3: 000000043620a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x116/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.6+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 bc 8e 73 d3 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 20 61 ea c0 e8 ca aa 21 d3 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 6 Ben Engbers 2018-09-05 08:22:59 UTC
Description of problem:
After booting, I started Libre Office and opened a document

Version-Release number of selected component:
kernel-core-4.17.19-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.19-200.fc28.x86_64 root=/dev/mapper/fedora_home-root ro rd.lvm.lv=fedora_home/root rd.lvm.lv=fedora_home/swap rhgb quiet LANG=nl_NL.UTF-8
crash_function: tb_ring_stop
kernel:         4.17.19-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 6 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: rfcomm fuse thunderbolt ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw cmac iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl kvm snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp iTCO_wdt snd_soc_sst_ipc iTCO_vendor_support iwlmvm snd_soc_acpi wmi_bmof intel_wmi_thunderbolt
 snd_soc_core snd_hda_codec_hdmi mac80211 irqbypass snd_hda_codec_realtek crct10dif_pclmul crc32_pclmul snd_hda_codec_generic snd_compress ghash_clmulni_intel snd_pcm_dmaengine intel_cstate ac97_bus intel_uncore snd_hda_intel iwlwifi intel_rapl_perf snd_hda_codec btusb btrtl btbcm uvcvideo btintel bluetooth snd_hda_core cfg80211 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hwdep snd_seq videodev snd_seq_device snd_pcm joydev media ecdh_generic mei_me intel_pch_thermal mei snd_timer i2c_i801 shpchp ucsi_acpi typec_ucsi typec wmi thinkpad_acpi snd soundcore rfkill acpi_pad pcc_cpufreq binfmt_misc i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw nvme crc32c_intel nvme_core video uas usb_storage
CPU: 2 PID: 6 Comm: kworker/u8:0 Not tainted 4.17.19-200.fc28.x86_64 #1
Hardware name: LENOVO 20HFCTO1WW/20HFCTO1WW, BIOS N1WET49W (1.28 ) 07/04/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0000:ffffb434031abbf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9a93d7419900 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9a9462516930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000417
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0daf7c9
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0daf7b8
FS:  0000000000000000(0000) GS:ffff9a9462500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fdab402e028 CR3: 00000004d120a004 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x116/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.6+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 8c f7 82 d8 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 20 01 db c0 e8 8a 0e 31 d8 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 7 Dustin Schoenbrun 2018-09-17 12:59:19 UTC
Description of problem:
This error occurred when logging into Gnome3 on my Lenovo T470s with an LG 27UK650_600 4K display
connected via a Uni Thunderbolt 3 to HDMI cable. The error seems to stem from something in the Thunderbolt driver
which throws an error. Notably, this only recently started happening so I wonder if a Kernel update is causing the issue.

Version-Release number of selected component:
kernel-core-4.18.5-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.5-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-fe787ff3-0692-4c38-adab-276804d25fbe rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.18.5-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 433 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: squashfs zstd_decompress xxhash loop thunderbolt ccm fuse xt_CHECKSUM ipt_MASQUERADE tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm mei_wdt iTCO_wdt iTCO_vendor_support wmi_bmof intel_wmi_thunderbolt iwlmvm irqbypass intel_cstate intel_uncore mac80211 intel_rapl_perf
 snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_hdmi btusb snd_hda_ext_core btrtl iwlwifi btbcm snd_soc_acpi btintel snd_soc_core snd_hda_codec_realtek snd_hda_codec_generic uvcvideo bluetooth cfg80211 snd_compress videobuf2_vmalloc ac97_bus snd_pcm_dmaengine videobuf2_memops videobuf2_v4l2 snd_hda_intel snd_usb_audio snd_hda_codec videobuf2_common videodev snd_usbmidi_lib snd_hda_core snd_hwdep snd_rawmidi snd_seq joydev media snd_seq_device snd_pcm ecdh_generic i2c_i801 snd_timer mei_me mei thinkpad_acpi ucsi_acpi intel_pch_thermal typec_ucsi typec wmi snd soundcore rfkill acpi_pad pcc_cpufreq dm_crypt hid_logitech_hidpp hid_logitech_dj uas usb_storage i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel nvme drm e1000e serio_raw nvme_core
 ghash_clmulni_intel video
CPU: 3 PID: 433 Comm: kworker/u8:4 Not tainted 4.18.5-200.fc28.x86_64 #1
Hardware name: LENOVO 20HGS22D00/20HGS22D00, BIOS N1WET41W (1.20 ) 10/17/2017
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
Code: c7 a0 00 00 00 48 89 14 24 e8 2c d5 52 eb 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 90 da 0b c1 e8 7a 24 00 eb <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3 e0 
RSP: 0018:ffffb9f181eb7bf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9d9e09bfd900 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9d9e1e596930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc10bd139
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc10bd128
FS:  0000000000000000(0000) GS:ffff9d9e1e580000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6ee401f028 CR3: 000000021420a002 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xc0
 device_release_driver_internal+0x180/0x250
 pci_stop_bus_device+0x81/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x135/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.8+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 8 Dustin Schoenbrun 2018-09-20 20:07:40 UTC
Description of problem:
This same issue as reported before occured on the same Lenovo T470s but with no external display connected and nothing connected to the Thunderbolt port on the side.
The error occurred just after logging into the Gnome desktop while I was entering information for VPN login.

Version-Release number of selected component:
kernel-core-4.18.7-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.7-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-fe787ff3-0692-4c38-adab-276804d25fbe rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.18.7-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 439 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: squashfs zstd_decompress xxhash loop thunderbolt ccm fuse xt_CHECKSUM ipt_MASQUERADE tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw cmac ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel snd_soc_skl mei_wdt snd_soc_skl_ipc iTCO_wdt snd_soc_sst_ipc iTCO_vendor_support snd_hda_codec_hdmi kvm snd_soc_sst_dsp intel_wmi_thunderbolt
 wmi_bmof snd_hda_ext_core snd_soc_acpi snd_soc_core iwlmvm snd_hda_codec_realtek snd_hda_codec_generic snd_compress mac80211 ac97_bus snd_pcm_dmaengine snd_hda_intel snd_hda_codec irqbypass intel_cstate snd_hda_core btusb btrtl btbcm intel_uncore btintel snd_hwdep snd_seq bluetooth intel_rapl_perf iwlwifi snd_seq_device snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common joydev cfg80211 videodev snd_timer mei_me media ecdh_generic i2c_i801 mei intel_pch_thermal ucsi_acpi typec_ucsi thinkpad_acpi typec wmi snd soundcore rfkill acpi_pad pcc_cpufreq dm_crypt hid_logitech_hidpp hid_logitech_dj i915 uas usb_storage crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper e1000e nvme drm nvme_core ghash_clmulni_intel serio_raw video
CPU: 2 PID: 439 Comm: kworker/u8:4 Not tainted 4.18.7-200.fc28.x86_64 #1
Hardware name: LENOVO 20HGS22D00/20HGS22D00, BIOS N1WET41W (1.20 ) 10/17/2017
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
Code: c7 a0 00 00 00 48 89 14 24 e8 9c 3b 7f fb 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 90 7a df c0 e8 8a 84 2c fb <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3 e0 
RSP: 0018:ffffb606c1e47bf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff93c2868d7d80 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff93c29e516930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0df7139
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0df7128
FS:  0000000000000000(0000) GS:ffff93c29e500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd96e2a4198 CR3: 000000035520a005 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xc0
 device_release_driver_internal+0x180/0x250
 pci_stop_bus_device+0x81/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x135/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.8+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 9 Chris Vest 2018-09-25 07:13:41 UTC
Description of problem:
Updates were installed on a Lenovo P52s, while it was connected to an Apple USB-C charger, with an Apple USB-C cable.
The computer was connected to the charger prior to starting to install updates, and remained connected throughout the entire process, including through the two restarts.
No other devices were connected to the computer, so the crash is either related to an incompatibility with or between Apple charger or the USB-C/thunderbolt port or controller in the computer.
It could also be an incompatibility between the kernel and the USB/TB hardware in the computer itself.
The charger and cable are occasionally connected to a MacBook Pro, so they may have had their firmware updated since they were manufactured.
I don't know.

Version-Release number of selected component:
kernel-core-4.18.9-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.9-200.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-26448593-56a4-4f5b-b96b-a1d0431dba1b rd.lvm.lv=fedora_localhost-live/swap rhgb quiet rd.driver.blacklist=nouveau LANG=en_US.UTF-8
crash_function: tb_ring_stop
kernel:         4.18.9-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 515 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: ccm thunderbolt xt_CHECKSUM ipt_MASQUERADE tun fuse rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat squashfs zstd_decompress xxhash loop snd_hda_codec_hdmi arc4 intel_rapl snd_soc_skl snd_soc_skl_ipc iwlmvm iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_sst_ipc mei_wdt snd_soc_sst_dsp kvm_intel
 snd_hda_ext_core mac80211 kvm snd_soc_acpi snd_soc_core snd_hda_codec_realtek snd_hda_codec_generic snd_compress ac97_bus snd_pcm_dmaengine snd_hda_intel irqbypass snd_hda_codec intel_cstate intel_uncore iwlwifi snd_hda_core uvcvideo intel_rapl_perf snd_hwdep videobuf2_vmalloc snd_seq btusb btrtl videobuf2_memops snd_seq_device btbcm btintel videobuf2_v4l2 snd_pcm joydev videobuf2_common cfg80211 bluetooth videodev intel_wmi_thunderbolt wmi_bmof media snd_timer i2c_i801 idma64 thinkpad_acpi mei_me ecdh_generic mei intel_lpss_pci intel_lpss processor_thermal_device ucsi_acpi typec_ucsi intel_pch_thermal intel_soc_dts_iosf typec snd soundcore rfkill int3403_thermal int340x_thermal_zone pinctrl_sunrisepoint int3400_thermal pinctrl_intel acpi_pad acpi_thermal_rel pcc_cpufreq dm_crypt i915
 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel uas drm e1000e nvme ghash_clmulni_intel serio_raw nvme_core usb_storage wmi video
CPU: 2 PID: 515 Comm: kworker/u16:5 Not tainted 4.18.9-200.fc28.x86_64 #1
Hardware name: LENOVO 20LBS07A00/20LBS07A00, BIOS N27ET29W (1.15 ) 08/08/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
Code: c7 a0 00 00 00 48 89 14 24 e8 8c af 7a e4 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 90 0a e4 c0 e8 ca f4 27 e4 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3 e0 
RSP: 0018:ffffae65c3a5fbf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9aeef67bd000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9aef5f496930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e40139
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0e40128
FS:  0000000000000000(0000) GS:ffff9aef5f480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa928a99140 CR3: 000000042c20a006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xc0
 device_release_driver_internal+0x180/0x250
 pci_stop_bus_device+0x81/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x135/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.8+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 10 brizly vaan van Ulciputz 2018-10-09 05:05:21 UTC
Description of problem:
i don't know how to reproduce.
i justed booted up my machine (last time 24 days ago?), autologin to desktop, started emacs.

Version-Release number of selected component:
kernel-core-4.18.11-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.11-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-1be8c90c-e20d-4e18-af8c-58436b478d43 rd.lvm.lv=fedora/swap rhgb quiet LANG=de_DE.UTF-8
crash_function: tb_ring_stop
kernel:         4.18.11-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 79 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: thunderbolt rfcomm xt_CHECKSUM tun fuse ipt_MASQUERADE xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack br_netfilter devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables overlay bnep sunrpc vfat fat arc4 snd_soc_skl intel_rapl iTCO_wdt snd_soc_skl_ipc iTCO_vendor_support x86_pkg_temp_thermal snd_soc_sst_ipc intel_powerclamp snd_soc_sst_dsp coretemp kvm_intel snd_hda_codec_hdmi wmi_bmof snd_hda_ext_core
 intel_wmi_thunderbolt snd_soc_acpi kvm snd_soc_core iwlmvm snd_hda_codec_realtek snd_hda_codec_generic snd_compress mac80211 ac97_bus snd_pcm_dmaengine snd_hda_intel snd_hda_codec irqbypass intel_cstate intel_uncore intel_rapl_perf snd_usb_audio snd_hda_core snd_usbmidi_lib snd_rawmidi snd_hwdep iwlwifi snd_seq btusb btrtl snd_seq_device btbcm btintel snd_pcm bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops cfg80211 videobuf2_v4l2 videobuf2_common joydev videodev media snd_timer i2c_i801 ecdh_generic mei_me mei intel_pch_thermal ucsi_acpi typec_ucsi typec thinkpad_acpi wmi snd soundcore rfkill acpi_pad pcc_cpufreq dm_crypt cdc_mbim cdc_wdm cdc_ncm usbnet mii uas usb_storage i915 i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme e1000e ghash_clmulni_intel
 nvme_core serio_raw video
CPU: 1 PID: 79 Comm: kworker/u8:1 Not tainted 4.18.11-200.fc28.x86_64 #1
Hardware name: LENOVO 20HES2SF00/20HES2SF00, BIOS N1QET55W (1.30 ) 05/23/2017
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
Code: c7 a0 00 00 00 48 89 14 24 e8 0c f3 74 eb 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 90 ca e9 c0 e8 2a 35 22 eb <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3 e0 
RSP: 0018:ffffb1c80167bbf8 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff8e9785ccea80 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff8e97ff496930
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e9c139
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0e9c128
FS:  0000000000000000(0000) GS:ffff8e97ff480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000556125ab17d0 CR3: 000000011320a001 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xc0
 device_release_driver_internal+0x180/0x250
 pci_stop_bus_device+0x81/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 trim_stale_devices+0x135/0x150
 trim_stale_devices+0xa4/0x150
 trim_stale_devices+0xb5/0x150
 ? get_slot_status+0xa0/0x100
 acpiphp_check_bridge.part.8+0xfe/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 11 Charlie Bergren 2018-10-09 23:12:35 UTC
(In reply to Chris Vest from comment #9)
> Description of problem:
> Updates were installed on a Lenovo P52s, while it was connected to an Apple
> USB-C charger, with an Apple USB-C cable.
> The computer was connected to the charger prior to starting to install
> updates, and remained connected throughout the entire process, including
> through the two restarts.
> No other devices were connected to the computer, so the crash is either
> related to an incompatibility with or between Apple charger or the
> USB-C/thunderbolt port or controller in the computer.
> It could also be an incompatibility between the kernel and the USB/TB
> hardware in the computer itself.
> The charger and cable are occasionally connected to a MacBook Pro, so they
> may have had their firmware updated since they were manufactured.
> I don't know.
> 
> Version-Release number of selected component:
> kernel-core-4.18.9-200.fc28
> 
> Additional info:
> reporter:       libreport-2.9.5
> cmdline:        BOOT_IMAGE=/vmlinuz-4.18.9-200.fc28.x86_64
> root=/dev/mapper/fedora_localhost--live-root ro
> resume=/dev/mapper/fedora_localhost--live-swap
> rd.lvm.lv=fedora_localhost-live/root
> rd.luks.uuid=luks-26448593-56a4-4f5b-b96b-a1d0431dba1b
> rd.lvm.lv=fedora_localhost-live/swap rhgb quiet rd.driver.blacklist=nouveau
> LANG=en_US.UTF-8
> crash_function: tb_ring_stop
> kernel:         4.18.9-200.fc28.x86_64
> runlevel:       N 5
> type:           Kerneloops
> 
> Truncated backtrace:
> WARNING: CPU: 2 PID: 515 at drivers/thunderbolt/nhi.c:106
> ring_interrupt_active+0x200/0x250 [thunderbolt]
> Modules linked in: ccm thunderbolt xt_CHECKSUM ipt_MASQUERADE tun fuse
> rfcomm nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT
> ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink
> ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6
> nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security
> iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack
> libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter
> ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat squashfs
> zstd_decompress xxhash loop snd_hda_codec_hdmi arc4 intel_rapl snd_soc_skl
> snd_soc_skl_ipc iwlmvm iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal
> intel_powerclamp coretemp snd_soc_sst_ipc mei_wdt snd_soc_sst_dsp kvm_intel
>  snd_hda_ext_core mac80211 kvm snd_soc_acpi snd_soc_core
> snd_hda_codec_realtek snd_hda_codec_generic snd_compress ac97_bus
> snd_pcm_dmaengine snd_hda_intel irqbypass snd_hda_codec intel_cstate
> intel_uncore iwlwifi snd_hda_core uvcvideo intel_rapl_perf snd_hwdep
> videobuf2_vmalloc snd_seq btusb btrtl videobuf2_memops snd_seq_device btbcm
> btintel videobuf2_v4l2 snd_pcm joydev videobuf2_common cfg80211 bluetooth
> videodev intel_wmi_thunderbolt wmi_bmof media snd_timer i2c_i801 idma64
> thinkpad_acpi mei_me ecdh_generic mei intel_lpss_pci intel_lpss
> processor_thermal_device ucsi_acpi typec_ucsi intel_pch_thermal
> intel_soc_dts_iosf typec snd soundcore rfkill int3403_thermal
> int340x_thermal_zone pinctrl_sunrisepoint int3400_thermal pinctrl_intel
> acpi_pad acpi_thermal_rel pcc_cpufreq dm_crypt i915
>  i2c_algo_bit drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel uas
> drm e1000e nvme ghash_clmulni_intel serio_raw nvme_core usb_storage wmi video
> CPU: 2 PID: 515 Comm: kworker/u16:5 Not tainted 4.18.9-200.fc28.x86_64 #1
> Hardware name: LENOVO 20LBS07A00/20LBS07A00, BIOS N27ET29W (1.15 ) 08/08/2018
> Workqueue: kacpi_hotplug acpi_hotplug_work_fn
> RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
> Code: c7 a0 00 00 00 48 89 14 24 e8 8c af 7a e4 48 8b 14 24 4d 89 f9 45 89
> f0 4c 89 e1 48 89 c6 48 c7 c7 90 0a e4 c0 e8 ca f4 27 e4 <0f> 0b e9 3e ff ff
> ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3 e0 
> RSP: 0018:ffffae65c3a5fbf8 EFLAGS: 00010082
> RAX: 0000000000000000 RBX: ffff9aeef67bd000 RCX: 0000000000000006
> RDX: 0000000000000007 RSI: 0000000000000092 RDI: ffff9aef5f496930
> RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000004
> R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc0e40139
> R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc0e40128
> FS:  0000000000000000(0000) GS:ffff9aef5f480000(0000) knlGS:0000000000000000
> CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
> CR2: 00007fa928a99140 CR3: 000000042c20a006 CR4: 00000000003606e0
> DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
> DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
> Call Trace:
>  tb_ring_stop+0xef/0x150 [thunderbolt]
>  tb_ctl_stop+0x37/0xc0 [thunderbolt]
>  tb_domain_remove+0x3d/0x60 [thunderbolt]
>  nhi_remove+0x19/0x30 [thunderbolt]
>  pci_device_remove+0x3b/0xc0
>  device_release_driver_internal+0x180/0x250
>  pci_stop_bus_device+0x81/0xa0
>  pci_stop_and_remove_bus_device+0xe/0x20
>  trim_stale_devices+0x135/0x150
>  trim_stale_devices+0xa4/0x150
>  trim_stale_devices+0xb5/0x150
>  ? get_slot_status+0xa0/0x100
>  acpiphp_check_bridge.part.8+0xfe/0x140
>  acpiphp_hotplug_notify+0xe3/0x200
>  ? acpiphp_post_dock_fixup+0xd0/0xd0
>  acpi_device_hotplug+0x9c/0x460
>  acpi_hotplug_work_fn+0x1a/0x30
>  process_one_work+0x1a1/0x350
>  worker_thread+0x30/0x380
>  ? pwq_unbound_release_workfn+0xd0/0xd0
>  kthread+0x112/0x130
>  ? kthread_create_worker_on_cpu+0x70/0x70
>  ret_from_fork+0x35/0x40

I can confirm this is NOT Apple related.  None of my hardware matches.

Comment 12 Justin M. Forbes 2019-01-29 16:25:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 13 raffaele.tranquillini 2019-01-30 12:50:31 UTC
Description of problem:
when I typed $ fwupdmgr update

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-4.16.3-301.fc28.x86_64 root=UUID=d25d914a-3390-4f21-8ec8-a0a6f2f90e40 ro resume=UUID=efc97d29-9a57-4f3b-98e5-4f8351eeee3b rhgb quiet LANG=it_IT.UTF-8
crash_function: tb_ring_stop
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 7566 at drivers/thunderbolt/nhi.c:106 ring_interrupt_active+0x200/0x250 [thunderbolt]
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables btrfs xor zstd_compress raid6_pq zstd_decompress xxhash ufs hfsplus hfs minix msdos jfs xfs ccm thunderbolt nvmem_core rfcomm fuse devlink arc4 ip_set nfnetlink bridge stp llc libcrc32c cmac bnep sunrpc vfat fat snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_hda_codec_realtek snd_hda_ext_core snd_soc_sst_dsp
 snd_hda_codec_generic snd_soc_sst_ipc snd_soc_acpi snd_soc_core snd_compress snd_pcm_dmaengine ac97_bus hid_multitouch ath10k_pci ath10k_core intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_intel mac80211 kvm_intel snd_hda_codec kvm snd_hda_core snd_hwdep iTCO_wdt snd_seq iTCO_vendor_support mei_wdt dell_laptop ath dell_wmi dell_smbios btusb irqbypass btrtl crct10dif_pclmul wmi_bmof crc32_pclmul intel_wmi_thunderbolt snd_seq_device dell_wmi_descriptor btbcm cfg80211 btintel snd_pcm dcdbas ghash_clmulni_intel intel_cstate uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops intel_uncore videobuf2_v4l2 intel_rapl_perf videobuf2_common videodev snd_timer rtsx_pci_ms snd mei_me ecdh_generic memstick media idma64 mei soundcore joydev i2c_i801 ucsi_acpi rfkill intel_lpss_pci
 typec_ucsi shpchp processor_thermal_device intel_lpss intel_pch_thermal intel_soc_dts_iosf typec wmi pinctrl_sunrisepoint int3400_thermal acpi_thermal_rel int3403_thermal pinctrl_intel intel_hid int340x_thermal_zone sparse_keymap acpi_pad i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core drm nvme crc32c_intel nvme_core rtsx_pci serio_raw i2c_hid video [last unloaded: ip6_tables]
CPU: 7 PID: 7566 Comm: kworker/u16:1 Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0F6P3V, BIOS 1.6.3 11/04/2018
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:ring_interrupt_active+0x200/0x250 [thunderbolt]
RSP: 0018:ffff9eb6419afc58 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff912c9968d9c0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff912cae5d68f0
RBP: 0000000000000000 R08: 0000000000000058 R09: 0000000000000937
R10: 0000000000000000 R11: 0000000000000001 R12: ffffffffc1137689
R13: 0000000000038200 R14: 0000000000000000 R15: ffffffffc1137678
FS:  0000000000000000(0000) GS:ffff912cae5c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5a60a3d128 CR3: 000000049520a002 CR4: 00000000003606e0
Call Trace:
 tb_ring_stop+0xef/0x150 [thunderbolt]
 tb_ctl_stop+0x37/0xc0 [thunderbolt]
 tb_domain_remove+0x3d/0x60 [thunderbolt]
 nhi_remove+0x19/0x30 [thunderbolt]
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x80/0xa0
 pci_stop_bus_device+0x2b/0xa0
 pci_stop_bus_device+0x3c/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 disable_slot+0x49/0x90
 acpiphp_check_bridge.part.5+0xba/0x140
 acpiphp_hotplug_notify+0xe3/0x200
 ? acpiphp_post_dock_fixup+0xd0/0xd0
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit+0x13/0x20
 ret_from_fork+0x35/0x40
Code: 81 c7 a0 00 00 00 48 89 14 24 e8 7c ad 46 e9 48 8b 14 24 4d 89 f9 45 89 f0 4c 89 e1 48 89 c6 48 c7 c7 c0 7f 13 c1 e8 8a 1a f8 e8 <0f> 0b e9 3e ff ff ff 44 03 6a 60 e9 5b fe ff ff 0f b6 43 78 d3

Comment 14 Ben Cotton 2019-05-02 19:21:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-02 19:53:22 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 23:41:13 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.